Skip to main content
POST
/
swaps
/
user_names
Changing user names
curl --request POST \
  --url https://api.peeker.ai/api/partner/v1/swaps/user_names \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain_id": "<string>",
  "users": [
    {
      "first_name": "<string>",
      "last_name": "<string>",
      "profile_picture_url": "<string>"
    }
  ]
}
'
{
  "data": {
    "swaps": [
      {
        "id": "swp_01HZX0SW4A2B3C4D5E6F7G8H",
        "type": "user_names",
        "domain_id": "dom_01HZX0D02A2B3C4D5E6F7G8H",
        "replacement_domain": null,
        "status": "in_progress",
        "created_at": "2026-05-08T12:00:00Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.peeker.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:Bearer pk_test_<your-test-key>
required

Your partner API key. Use pk_live_… against the live system or pk_test_… against the sandbox.

Body

application/json
domain_id
string
required
users
object[]
required

New name list.

Response

201 - application/json

Accepted user-name swaps.

data
object
required
Last modified on May 14, 2026